<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:layout_marginLeft="24dp"
    android:layout_marginRight="24dp"
    android:background="@color/colorWhite"
    android:minWidth="800dp">

    <!-- 版本更新对话框布局 -->

    <ImageView
        android:id="@+id/iv_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:background="@drawable/ic_version_title" />

    <ImageView
        android:id="@+id/iv_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:background="@drawable/ic_version_right" />

    <TextView
        android:id="@+id/t1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="16dp"
        android:text="发现新版本"
        android:textColor="@color/colorWhite"
        android:textSize="?attr/textSizeXXXXX"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/tv_version_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/t1"
        android:layout_alignLeft="@id/t1"
        android:text="v1.0"
        android:textColor="@color/colorWhite"
        android:textSize="?attr/textSizeXX"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/t2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_version_name"
        android:layout_alignLeft="@id/t1"
        android:layout_marginTop="40dp"
        android:text="更新内容："
        android:textColor="@color/colorText33"
        android:textSize="?attr/textSizeXXXX"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/tv_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/t2"
        android:layout_alignLeft="@id/t1"
        android:layout_marginTop="8dp"
        android:layout_marginRight="24dp"
        android:text="1.修复bug\n2.优化功能"
        android:textColor="@color/colorText88"
        android:textSize="?attr/textSizeXX" />

    <Button
        android:id="@+id/tv_update"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_content"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/accent_radius_bg"
        android:gravity="center"
        android:minHeight="0dp"
        android:paddingTop="8dp"
        android:paddingBottom="8dp"
        android:text="立即更新"
        android:textColor="@color/colorWhite"
        android:textSize="?attr/textSizeXXX" />

    <LinearLayout
        android:id="@+id/layout_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_update"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="16dp"
        android:orientation="vertical">

        <ProgressBar
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="16dp"
            android:max="100"
            android:progress="50"
            android:progressDrawable="@drawable/progress_bar" />

        <TextView
            android:id="@+id/tv_progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="50%"
            android:textColor="@color/colorTheme"
            android:textSize="?attr/textSizeXXX" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="新版本正在努力下载中,请稍候..."
            android:textColor="@color/colorTheme"
            android:textSize="?attr/textSizeXXX" />
    </LinearLayout>

    <Button
        android:id="@+id/tv_install"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/layout_progress"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/accent_radius_bg"
        android:gravity="center"
        android:minHeight="0dp"
        android:paddingTop="8dp"
        android:paddingBottom="8dp"
        android:text="点击安装"
        android:textColor="@color/colorWhite"
        android:textSize="?attr/textSizeXXX" />

</RelativeLayout>